Comment 39 for bug 173890

Vinay Augustine schrieb:
>> A third solution, if possible, would be to see if Adobe keeps older
>> versions of flash available for download and update the package to
>> pull that.
>>
>
> This would be ideal. At the very least, though, it seems like the
> package does the exact wrong thing: on my system, I installed it from
> firefox, and the package installed, and silently failed. Removing it
> and installing it from the command line told me that flash didn't
> install (because of the bad md5 sum), but the .deb *did* install. If
> the md5 fails, the whole install should fail.

I sent a patch a while ago to ask the user whether he wants to still
install even if md5sums did not match. Is this acceptable and why not, why?
Here is the patch again.

g